%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname webrat
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Ruby Acceptance Testing for Web applications
Name: rubygem-%{gemname}
Version: 0.7.3
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/brynary/webrat
Source0: http://rubygems.org/downloads/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: rubygem(nokogiri)
Requires: rubygem(rack) >= 1.0
Requires: rubygem(rack-test)
BuildRequires: ruby(rubygems)
BuildRequires: rubygem(thor)
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Webrat lets you quickly write expressive and robust acceptance tests
for a Ruby web application. It supports simulating a browser inside
a Ruby process to avoid the performance hit and browser dependency of
Selenium or Watir, but the same API can also be used to drive real
Selenium tests when necessary (eg. for testing AJAX interactions).

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} --force --rdoc --ri %{SOURCE0}


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

# Remove vendored Selenium server
rm -rf %{buildroot}%{geminstdir}/vendor

# Remove dot files
rm -rf %{buildroot}%{geminstdir}/webrat.log
rm -rf %{buildroot}%{geminstdir}/.document
find %{buildroot} -iname .gitignore -exec rm -f {} \;

# Fix shebang
chmod -x %{buildroot}%{geminstdir}/lib/webrat/core/configuration.rb
chmod -x %{buildroot}%{geminstdir}/spec/private/core/configuration_spec.rb
chmod -x %{buildroot}%{geminstdir}/spec/private/core/link_spec.rb
chmod +x %{buildroot}%{geminstdir}/spec/integration/merb/tasks/merb.thor/app_script.rb

# the selenium server is large.  Despite the fact that we remove it above,
# it lives on inside of the original gem in the cache directory.  To reduce the
# size of the binary RPM, here we rebuild the gem itself and install it
rm -f %{buildroot}%{gemdir}/cache/%{gemname}-%{version}.gem
mkdir -p .gemrebuild
pushd .gemrebuild
gem unpack %{SOURCE0}
pushd %{gemname}-%{version}
sed -i '/\"vendor/d' webrat.gemspec
thor :build
cp pkg/%{gemname}-%{version}.gem %{buildroot}%{gemdir}/cache
popd
popd
rm -rf .gemrebuild


%files
%dir %geminstdir
%geminstdir/lib
%geminstdir/install.rb
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/MIT-LICENSE.txt
%doc %{geminstdir}/History.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%geminstdir/spec
%geminstdir/Rakefile
%geminstdir/Thorfile
%geminstdir/Gemfile
%geminstdir/%{gemname}.gemspec
%{gemdir}/doc/%{gemname}-%{version}


%changelog
* Wed Jul 06 2011 Chris Lalancette <clalance@redhat.com> - 0.7.3-1
- Update to webrat 0.7.3

* Wed Oct 20 2010 Michal Fojtik <mfojtik@redhat.com> - 0.7.1-2
- Initial package
